sources:
  - name: okuna
    handler:
      graphql:
        endpoint: "{env.OKUNA_URL}"
        operationHeaders:
          Accept-Language: "{context.headers['accept-language']}"
          X-Holi-User-ID: "{context.headers['x-holi-user-id']}"
          X-Holi-User-Email: "{context.headers['x-holi-user-email']}"
  - name: app-donations
    handler:
      graphql:
        endpoint: "{env.DONATIONS_API_URL}"
    transforms:
      # Prefix for types
      - prefix:
          mode: wrap
          value: AppDonations_
          includeRootOperations: false
          includeTypes: true
      # Prefix for operations
      - prefix:
          mode: wrap
          value: appDonations_
          includeRootOperations: true
          includeTypes: false
  - name: app-goodnews
    handler:
      graphql:
        endpoint: "{env.GOODNEWS_API_URL}"
    transforms:
      # Prefix for types
      - prefix:
          mode: wrap
          value: AppGoodNews_
          includeRootOperations: false
          includeTypes: true
      # Prefix for operations
      - prefix:
          mode: wrap
          value: appGoodNews_
          includeRootOperations: true
          includeTypes: false
  - name: app-volunteering
    handler:
      openapi:
        source: ./holi-voltastics-mock-openapi.yml
        operationHeaders:
          x-voltastics-token: "{env.VOLTASTICS_API_TOKEN}"
    transforms:
      # Prefix for types
      - prefix:
          mode: wrap
          value: AppVolunteering_
          includeRootOperations: false
          includeTypes: true
      # Prefix for operations
      - prefix:
          mode: wrap
          value: appVolunteering_
          includeRootOperations: true
          includeTypes: false
  - name: geo
    handler:
      graphql:
        endpoint: "{env.GEO_API_URL}"
    transforms:
      # Prefix for types
      - prefix:
          mode: wrap
          value: Geo_
          includeRootOperations: false
          includeTypes: true
      # Prefix for operations
      - prefix:
          mode: wrap
          value: geo_
          includeRootOperations: true
          includeTypes: false
